# 项目投票流程

一个项目在发展过程中，需要有明确的方向，需要有团队成员的齐心协力，才有可能从诞生走向优秀，甚至步入卓越。

然而，由于团队成员在项目的发展问题上，往往会存在不同的见解。为了帮助项目健康、稳定、稳步的发展，面对项目成员的提议，甚至是不同的见解，需要所有团队成员在充分了解问题背景的情况下，友好地通过 **投票** 来决策。

## 投票提议

当项目存在异议，或者出现分歧的时候，项目负责人（所有 maintainer） 均有权利发起一次投票。

发起投票的形式有三种：

* 投票提议者在 GitHub 上的项目中提一个issue，标题形式为“[vote]xxxxxxxxxx”，xxxxxxxxxx为投票需要决策的内容；
* 投票提议者在一个issue的协作过程中，发现有内容需要所有项目负责人参与决策，则在此issue的新一条评论中发起一次投票；
* 投票提议者在一个Pull Request的协作过程中，发现有内容需要所有项目负责人参与决策，则在此PR的新一条评论中发起一次投票；

发起投票之后，发起者需要在issue或者Pull Request的标签栏中添加标签 "VOTING"。

## 投票模板

提议一次投票，需要有固定的格式，方便大家理解与协作。投票模板形式如下：

```
# 投票提议

## 投票背景

## 投票问题

## 票类型

**赞成**   请在此评论上添加 👍 
**反对**   请在此评论上添加 👎
**弃权**   请在此评论上添加 😕

## 投票截止日期

/cc @DaoCloud/dao-style-maintainers

```

注：投票的最后需要 @ 所有项目负责人。

视图效果大致如下：

![项目投票模板视图](../docs/static_files/voting-template-view.png "项目投票模板视图")

## 投票执行

投票提议者发起投票之后，截止日期之前，所有项目负责人对此次投票可以执行以下操作:

* 针对投票提议，进行投票，在issue或者评论下添加 👍、👎、😕，三者只能选一个；
* 针对此次投票的，投票者可以在issue下或者评论下，继续添加自己的评论，补充自己的投票依据，与其他项目负责人沟通；
* 根据其他投票人的建议，原投票人可以修改自己的投票，首先取消原来的投票，选择其他投票选项；
* 针对所有负责人的协作，不予理睬，这将被最终视为弃权票。

## 唱票决策

项目投票可以在两种情况下，进入唱票决策阶段。两种情况如下：

* 日期到达投票截止日期；
* 所有项目负责人已经实质性投票。

进入唱票决策环节之后，同时满足其他以下条件，可以产生投票结果：

* 赞成票与反对票两者中，票数居多的类型作为最终的投票结果；
* 当赞成票和反对票票数相等时，以组件负责人的投票（可以是弃权，即维持现状）为准。

以上是项目的投票流程机制。若您有不同的意见，可以通过 Issue 或者 PR 的形式引入所有项目负责人的讨论。项目组坚信，只有大家的努力，在共同的标准、共同的流程下，项目才能更好的发展。

